<template>
  <b-form-group
    :id="`${$attrs.id}-group`"
    :label="$attrs.label"
    :label-for="$attrs.id"
    class="label-s"
  >
    <country-select
      v-if="editable && $attrs.id === 'country'"
      v-model="$attrs.country"
      class="input-sel"
      placeholder="Select Country"
      :disabled="!editable"
      :aria-describedby="`${$attrs.id}-feedback`"
      v-bind="$attrs"
      :country="$attrs.country"
      :country-name="true"
      v-on="$listeners"
    />

    <region-select
      v-if="editable && $attrs.id === 'region'"
      v-model="$attrs.region"
      class="input-sel"
      placeholder=""
      :country="regCountry"
      :disabled="!editable"
      :aria-describedby="`${$attrs.id}-feedback`"
      v-bind="$attrs"
      :region="$attrs.region"
      :country-name="true"
      :region-name="true"
      v-on="$listeners"
    />

    <label
      v-else-if="!editable && $attrs.id === 'region'"
      :style="{ fontSize: '16px', fontWeight: '500' }"
      >{{ $attrs.value }}</label
    >

    <label
      v-else-if="!editable && $attrs.id === 'country'"
      :style="{ fontSize: '16px', fontWeight: '500' }"
      >{{ $attrs.value }}</label
    >

    <b-form-invalid-feedback :id="`${$attrs.id}-feedback`"
      >{{ invalidFeedback }}
    </b-form-invalid-feedback>
  </b-form-group>
</template>
<script lang="ts">
import Vue from 'vue'
import vueCountryRegionSelect from 'vue-country-region-select'
Vue.use(vueCountryRegionSelect)
export default Vue.extend({
  props: {
    invalidFeedback: {
      type: String,
      required: false,
      default: ''
    },
    editable: {
      type: Boolean,
      default: false
    },
    regCountry: {
      type: String,
      default: '',
      required: false
    }
  }
})
</script>

<style scoped>
.input-sel {
  outline: none;
  height: 40px;
  width: 85%;
  border: none;
  border-bottom: 1px solid #cacaca;
}

.input-sel:focus {
  outline: none;
  border-bottom-color: #50c191;
  background-color: #f9f9f9;
}
</style>
